<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Carrusel Gatos</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
		integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<script src="https://unpkg.com/vue@3"></script>
</head>
<body class="py-5">
<div class="container">
	<div id="app" class="text-center">
		<img :src="this.currentImageStr" width="400" height="600" class="d-block text-center mb-4 mx-auto">
		<button @click="previousImage" class="btn btn-primary mr-3" :disabled="isPreviousDisabled" autocomplete="off">Anterior
		</button>
		<button @click="nextImage" class="btn btn-primary" :disabled="isNextDisabled">Siguiente</button></div>
	</div>
</div>
</div>
</body>
<script type="text/javascript">
	Vue.createApp({
		data() {
			return {
				images: ['cat1.jpg', 'cat2.jpg', 'cat3.jpg', 'cat4.jpg'],
				currentImage: 0,
			}
		},
		computed: {
			currentImageStr() {
				return `./images/${this.images[this.currentImage]}`
			},
			isPreviousDisabled() {
				if (this.currentImage > 0)
					return false
				return true
			},
			isNextDisabled() {
				if (this.currentImage !== this.images.length-1)
					return false
				return true
			}
		},
		methods: {
			previousImage() {
				if (this.currentImage > 0)
					this.currentImage--

			},
			nextImage() {
				if (this.currentImage !== this.images.length-1)
					this.currentImage++
			}
		}
	}).mount("#app");
</script>
</html>